extends Node2D

@onready var ball = $Ball_rb

const speed = 10000
var isAlive

# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	isAlive = false

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
	pass

func get_isAlive() -> bool:
	return isAlive

func set_isAlive(alive : bool):
	isAlive = alive

func shoot_bubble():
	ball.position = Vector2(-184, -147)
	ball.sleeping = false
	#ball.linear_velocity = Vector2(0,0)
	ball.freeze = false
	ball.gravity_scale = 1
	ball.visible = true
	ball.apply_central_impulse(Vector2(0, -speed))
	pass
